org.apache.lucene.index

## Interface IndexSorter.NumericDocValuesProvider

Enclosing interface:
  IndexSorter

    public static interface IndexSorter.NumericDocValuesProvider

Provide a NumericDocValues instance for a LeafReader

### Method Summary

All Methods Instance Methods Abstract Methods
`NumericDocValues` `get(LeafReader reader)` Returns the NumericDocValues instance for this LeafReader

### Method Detail

#### get

    NumericDocValues get(LeafReader reader)
                  throws IOException

Returns the NumericDocValues instance for this LeafReader

Throws:
  `IOException`